def process_sneaker(proxy, queue: '')
  return if queue.blank?
  proxy.process :sneaker do
    daemonize true
    pid_file "tmp/pids/sneakers.pid"
    stdall 'log/sneakers.log'

    env 'PIDFILE' => "tmp/pids/sneakers.pid",
        'WORKERS' => queue

    start_command 'bundle exec rake sneakers:run'

    use_leaf_child false

    monitor_children
  end
end
