def process_realtime(proxy, pool: {})
  pool.each do |market, num|
    (1..num).each do |i|
      proxy.process("#{market}_#{i}") do
        daemonize true
        pid_file "tmp/pids/realtime_worker_#{market}.#{i}.pid"
        stdall 'log/realtime.log'

        env 'PIDFILE' => "tmp/pids/realtime_worker_#{market}.#{i}.pid"

        start_command "bundle exec rake stock:realtime_#{market} --trace"
      end
    end
  end
end
