def process_scheduler(proxy)
  proxy.process :scheduler do
    daemonize true
    pid_file 'tmp/pids/scheduler.pid'
    stdall 'log/scheduler.log'

    env 'BACKGROUND' => 'yes',
        'PIDFILE' => 'tmp/pids/scheduler.pid',
        'VERBOSE' => '1',
        'NEWRELIC_ENABLE' => 'false'
    start_command 'bundle exec rake environment resque:scheduler'
  end
end
